pcl::HashTableOLD Class Reference

`#include <pcl/ml/permutohedral.h>`

## Public Member Functions

| HashTableOLD (int key_size, int n_elements)
| ~HashTableOLD ()
int | size () const
void | reset ()
int | find (const short *k, bool create=false)
const short * | getKey (int i) const

## Protected Member Functions

void | grow ()
std::size_t | hash (const short *k)

## Protected Attributes

std::size_t | key_size_
std::size_t | filled_
std::size_t | capacity_
short * | keys_
int * | table_

## Detailed Description

Definition at line 146 of file permutohedral.h.

## Constructor & Destructor Documentation

## HashTableOLD()

pcl::HashTableOLD::HashTableOLD | ( | int | key_size,
|  | int | n_elements
| ) |  |

inline explicit

Definition at line 203 of file permutohedral.h.

References capacity_, key_size_, keys_, and table_.

## ~HashTableOLD()

pcl::HashTableOLD::~HashTableOLD | ( |  | ) |

inline

Definition at line 211 of file permutohedral.h.

References keys_, and table_.

## Member Function Documentation

## find()

int pcl::HashTableOLD::find | ( | const short * | k,
|  | bool | create = `false`
| ) |  |

inline

Definition at line 231 of file permutohedral.h.

References capacity_, filled_, grow(), hash(), key_size_, keys_, and table_.

## getKey()

const short* pcl::HashTableOLD::getKey | ( | int | i | ) | const

inline

Definition at line 265 of file permutohedral.h.

References key_size_, and keys_.

Referenced by grow().

## grow()

void pcl::HashTableOLD::grow | ( |  | ) |

inline protected

Definition at line 162 of file permutohedral.h.

References capacity_, filled_, getKey(), hash(), key_size_, keys_, and table_.

Referenced by find().

## hash()

std::size_t pcl::HashTableOLD::hash | ( | const short * | k | ) |

inline protected

Definition at line 192 of file permutohedral.h.

References key_size_.

Referenced by find(), and grow().

## reset()

void pcl::HashTableOLD::reset | ( |  | ) |

inline

Definition at line 224 of file permutohedral.h.

References capacity_, filled_, and table_.

## size()

int pcl::HashTableOLD::size | ( |  | ) | const

inline

Definition at line 218 of file permutohedral.h.

References filled_.

## Member Data Documentation

## capacity_

std::size_t pcl::HashTableOLD::capacity_

protected

Definition at line 157 of file permutohedral.h.

Referenced by find(), grow(), HashTableOLD(), and reset().

## filled_

std::size_t pcl::HashTableOLD::filled_

protected

Definition at line 157 of file permutohedral.h.

Referenced by find(), grow(), reset(), and size().

## key_size_

std::size_t pcl::HashTableOLD::key_size_

protected

Definition at line 157 of file permutohedral.h.

Referenced by find(), getKey(), grow(), hash(), and HashTableOLD().

## keys_

short* pcl::HashTableOLD::keys_

protected

Definition at line 158 of file permutohedral.h.

Referenced by find(), getKey(), grow(), HashTableOLD(), and ~HashTableOLD().

## table_

int* pcl::HashTableOLD::table_

protected

Definition at line 159 of file permutohedral.h.

Referenced by find(), grow(), HashTableOLD(), reset(), and ~HashTableOLD().

The documentation for this class was generated from the following file:

- pcl/ml/permutohedral.h